### Interface

# Eog WindowActivatable

#### Description

    interface Eog.WindowActivatable : GObject.Object

No description available.

#### Prerequisite

In order to implement WindowActivatable, your type must inherit from`GObject`.

#### Instance methods

###### eog_window_activatable_activate

No description available.

###### eog_window_activatable_deactivate

No description available.

#### Properties

###### Eog.WindowActivatable:window

This is the `EogWindow` this `EogWindowActivatable` instance should be attached to.

#### Interface structure

    struct EogWindowActivatableInterface {
      GTypeInterface g_iface;
      void (* activate) (
        EogWindowActivatable* activatable
      );
      void (* deactivate) (
        EogWindowActivatable* activatable
      );

    }

No description available.

###### Interface members

`g_iface` |
    GTypeInterface
| No description available.
`activate` |
    void (* activate) (
        EogWindowActivatable* activatable
      )
| No description available.
`deactivate` |
    void (* deactivate) (
        EogWindowActivatable* activatable
      )
| No description available.

#### Virtual methods

###### Eog.WindowActivatable.activate

No description available.

###### Eog.WindowActivatable.deactivate

No description available.